#include "SurvivorTormentTrailComponent.h"
#include "Net/UnrealNetwork.h"

void USurvivorTormentTrailComponent::OnRep_TormentTrailSpawnerComponent()
{

}

void USurvivorTormentTrailComponent::OnRep_TormentTrailPointPool()
{

}

void USurvivorTormentTrailComponent::OnRep_TormentTrailPointCollection()
{

}

void USurvivorTormentTrailComponent::OnRep_TormentTrailControllerPool()
{

}

void USurvivorTormentTrailComponent::OnRep_TormentRestrictedTrailControllerPool()
{

}

void USurvivorTormentTrailComponent::OnRep_RestrictedTormentTrailPointPool()
{

}

void USurvivorTormentTrailComponent::OnRep_RestrictedTormentTrailPointCollection()
{

}

void USurvivorTormentTrailComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(USurvivorTormentTrailComponent, _tormentTrailPointCollection);
	DOREPLIFETIME(USurvivorTormentTrailComponent, _restrictedTormentTrailPointCollection);
	DOREPLIFETIME(USurvivorTormentTrailComponent, _tormentTrailControllerPool);
	DOREPLIFETIME(USurvivorTormentTrailComponent, _tormentRestrictedTrailControllerPool);
	DOREPLIFETIME(USurvivorTormentTrailComponent, _tormentTrailPointPool);
	DOREPLIFETIME(USurvivorTormentTrailComponent, _restrictedTormentTrailPointPool);
	DOREPLIFETIME(USurvivorTormentTrailComponent, _tormentTrailSpawnerComponent);
}

USurvivorTormentTrailComponent::USurvivorTormentTrailComponent()
{
	this->_pointCollectionMaxNumberPointsInGame = 0.000000;
	this->_restrictedPointCollectionMaxNumberPointsInGame = 0.000000;
	this->_tormentTrailSpawnerComponentClass = NULL;
}
